/**
 * @file   processImage.h
 * @author Jan Moravec (jan.moravec@workswell.cz)
 * @copyright (c) 2017, Workswell s.r.o., All rights reserved.
 * @date   March, 2017
 * @brief  This files contains functions for processing the frames from WIRIS device.
 */

#ifndef SRC_LIB_PROCESSIMAGE_H_
#define SRC_LIB_PROCESSIMAGE_H_

#include <stdint.h>

/**
 * Prepare gray image out of raw thermal image
 *
 * @param input_buffer Raw thermal buffer [W*H*2]
 * @param output_buffer Grayscale image [W*H*2]
 * @param width
 * @param height
 */
void prepareGreyImage(uint16_t *input_buffer, uint8_t *output_buffer, int width, int height);

#endif /* SRC_LIB_PROCESSIMAGE_H_ */
